package com.dsk.search.service;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.fastjson2.JSONObject;
import com.dsk.common.core.domain.AjaxResult;
import com.dsk.common.excel.ExcelUtils;
import com.dsk.common.exception.ServiceException;
import com.dsk.jsk.service.EnterpriseService;
import com.dsk.system.domain.vo.AptitudeVo;
import com.dsk.system.utils.DskOpenApiUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author lc
 * @ClassName ExportService
 * @Date 2023/12/06 16:40
 **/
@Service
public class ExportService {

    @Autowired
    private DskOpenApiUtil dskOpenApiUtil;

    public AjaxResult aptitudeFile(MultipartFile file) throws Exception {
        //识别Excel内容
        List<AptitudeVo> companyNameList = new ExcelUtils<>(AptitudeVo.class).importExcel(file.getInputStream(), 2);
        if (companyNameList.isEmpty()) {
            throw new ServiceException("表格中不存在待导入数据!");
        }
        List<String> list = new ArrayList<>();
        for (int i = 0; i < companyNameList.size(); i++) {
            if (i>499){
                break;
            }
            list.add(companyNameList.get(i).getCompanyName());
        }
        Map<String, Object> params = new HashMap<>();
        params.put("keyword", String.join(",",list));
        dskOpenApiUtil.requestBody("/nationzj/marketAnalysis/areaGroupByProvince", params);
        return AjaxResult.success();
    }

}
